prometheus:
  prometheusSpec:
    # when these are true, limits monitor discovery to "kube-prometheus-stack" own monitors.
    # ref: https://github.com/prometheus-community/helm-charts/tree/main/charts/kube-prometheus-stack#prometheusioscrape
    serviceMonitorSelectorNilUsesHelmValues: false
    podMonitorSelectorNilUsesHelmValues: false
    probeSelectorNilUsesHelmValues: false
    enableFeatures:
      - remote-write-receiver
alertmanager:
  alertmanagerSpec:
    externalUrl: "https://alertmanager.k8s.with-humans.org"
    alertmanagerConfigMatcherStrategy:
      # defaults to OnNamespace, which adds matchers to all rules to only match
      # alerts in that namespace. since we run the whole cluster ourselves in
      # the workshop, we want to get all alerts without creating configs in
      # each namespace.
      type: None

# These are not exposed by our k3d cluster setup so prometheus alerts would be
# firing for them. Since the workshop we built this for focuses on deployment,
# not cluster ops, we are ok with not having them.
kubeControllerManager:
  enabled: false
kubeProxy:
  enabled: false
kubeScheduler:
  enabled: false

grafana:
  envFromSecret: grafana-env
  admin:
    ## Name of the secret. Can be templated.
    existingSecret: "grafana-admin-api-credentials"
    userKey: admin-user
    passwordKey: admin-password
  sidecar:
    dashboards:
      searchNamespace: "ALL"
  grafana.ini:
    server:
      root_url: https://grafana.k8s.with-humans.org
    users:
      auto_assign_org_role: Admin
    auth.generic_oauth:
      allow_sign_up: true
      api_url: https://dex.k8s.with-humans.org/userinfo
      auth_url: https://dex.k8s.with-humans.org/auth
      enabled: true
      name: Dex
      scopes: openid profile email groups
      token_url: https://dex.k8s.with-humans.org/token
      email_attribute_path: email